﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Collections.ObjectModel;
using Telerik.Windows.Controls;

namespace _3ViewMultiBindSL
{
    public partial class MainPage : UserControl
    {
        public MainPage()
        {
           // StyleManager.ApplicationTheme = new Windows8Theme();
            InitializeComponent();
            this.treeViewCompany.ItemsSource = GetCompanyInfo();
        }

        public ObservableCollection<Company> GetCompanyInfo()
        {
            ObservableCollection<Company> companyList = new ObservableCollection<Company>();
            Company company = new Company();
            company.Name = "Company";

            BusinessItem unitOne = new BusinessItem();
            unitOne.Name = "Unit 1";
            unitOne.Items.Add(new User() {Name="User Alpha"});
            unitOne.Items.Add(new User() {Name="User Betta"});
            unitOne.Items.Add(new User() {Name="User Gamma"});
                
            BusinessItem unitOneChildOne = new BusinessItem();
            unitOneChildOne.Name ="Unit 1.1";
            unitOneChildOne.Items.Add(new User(){Name="User A1"});
            unitOneChildOne.Items.Add(new User(){Name="User A1"});
                
            BusinessItem unitOneChildtwo = new BusinessItem();
            unitOneChildtwo.Name = "Unit 1.2";
            unitOneChildtwo.Items.Add(new User(){Name="User B1"});
            unitOneChildtwo.Items.Add(new User(){Name="User B2"});
            unitOne.Items.Add(unitOneChildOne);
            unitOne.Items.Add(unitOneChildtwo);

            BusinessItem unitTwo = new BusinessItem();
            unitTwo.Name = "Unit 2";
            unitTwo.Items.Add(new User() {Name="User Epsilon"});
            unitTwo.Items.Add(new User() {Name="User Delta"});
            unitTwo.Items.Add(new User() {Name="User Omega"});

            company.Items.Add(unitOne);
            company.Items.Add(unitTwo);

            companyList.Add(company);
            return companyList;
        }
    }
}
