﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Telerik.Windows.Controls;

namespace _3ViewMultiBindSL
{
    public class CustomRadTreeView : RadTreeView
    {
        protected override DependencyObject GetContainerForItemOverride()
        {
            return new CustomRadTreeViewItem();
        }

        protected override bool IsItemItsOwnContainerOverride(object item)
        {
            return item is CustomRadTreeViewItem;
        }

        protected override void OnKeyDown(KeyEventArgs e)
        {
            if (e.Key == Key.Multiply)
            {
                return;
            }
            base.OnKeyDown(e);
        }
    }
}
