﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Telerik.Windows.Controls;

namespace _3ViewMultiBindSL
{
    public class SampleTemplateSelector : DataTemplateSelector
    {
        public override DataTemplate SelectTemplate(object item, DependencyObject container)
        {
            if (item is User)
                return this.UserTemplate;
            else if (item is BusinessItem)
                return this.BusinessTemplate;
            else
                return new DataTemplate();
        }
        public DataTemplate UserTemplate
        {
            get;
            set;
        }
        public DataTemplate BusinessTemplate
        {
            get;
            set;
        }
    }
}
